%define          configfile     motion.conf
%define          srcversion     %{version}.20120717git

Name:            motion
Version:         3.2.12
Release:         %mkrel 0.20120717git.6
#because I screwed up the pre-release tag before :(
Epoch:           1
Summary:         A highly customizable software motion detector
License:         GPLv2
Group:           Video/Utilities

URL:             http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome
Source0:         http://heanet.dl.sourceforge.net/motion/%{name}-%{srcversion}.tar.gz
Source1:         %{name}-tmpfiles.conf 

BuildRequires:   jpeg-devel
BuildRequires:   ffmpeg-devel
BuildRequires:   mysql-devel
BuildRequires:   sqlite3-devel
BuildRequires:   postgresql-libs-devel
BuildRequires:   linux-userspace-headers

Requires(post):  systemd >= %{systemd_required_version}


%description
Motion is a software motion detector. It grabs images from
video4linux devices and/or from web cams (such as the axis network
cameras). It is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%setup -q -n %{name}-%{srcversion}


%build
%configure2_5x
%make


%install
%makeinstall_std

%__mv %{buildroot}%{_sysconfdir}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{configfile}
%__chmod 644 %{buildroot}%{_sysconfdir}/%configfile

%__rm -Rf %{buildroot}/%{_datadir}/doc/

#systemd compat
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%post
%_tmpfilescreate %{name}



%files
%doc CHANGELOG COPYING CREDITS FAQ README README.axis_2100 motion_guide.html
%config(noreplace) %{_sysconfdir}/motion.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*
%{_datadir}/%{name}-*
%{_tmpfilesdir}/%{name}.conf





%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:3.2.12-0.20120717git.6.mga4
+ Revision: 529660
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1:3.2.12-0.20120717git.5.mga4
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Sat Jan 12 2013 umeabot <umeabot> 1:3.2.12-0.20120717git.4.mga3
+ Revision: 360290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1:3.2.12-0.20120717git.3.mga3
+ Revision: 341834
- update rpm group
- rebuild for new ffmpeg

* Mon Sep 10 2012 eatdirt <eatdirt> 1:3.2.12-0.20120717git.2.mga3
+ Revision: 291657
- adding support for sqlite3

* Sat Aug 25 2012 eatdirt <eatdirt> 1:3.2.12-0.20120717git.1.mga3
+ Revision: 283865
- Fix systemd compat on tmpfiles, fix pre-release tag

* Mon Aug 13 2012 eatdirt <eatdirt> 3.2.12.20120717git-0.mga3
+ Revision: 281073
- Upgrade to git snapshot, support ffmpeg-0.11 new api

* Tue Jun 12 2012 eatdirt <eatdirt> 3.2.12-9.mga3
+ Revision: 260079
- Removing ffmpeg support (seriously broken by new libavformat54 API)

* Thu Dec 15 2011 eatdirt <eatdirt> 3.2.12-8.mga2
+ Revision: 181896
- Rebuild for ffmpeg-0.9-1 (patch added)

* Sat Jun 25 2011 fwang <fwang> 3.2.12-7.mga2
+ Revision: 113458
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 07 2011 rtp <rtp> 3.2.12-6.mga1
+ Revision: 81621
- fix v4l2 support and allow to build without old v4l stuff
- drop patch0

  + ennael <ennael>
    - remove VAL2_OLD support as header is not provided anymore
    - add missing buildrequire
    - clean spec file
    - imported package motion


* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 3.2.12-6mdv2011.0
+ Revision: 645836
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 3.2.12-5mdv2011.0
+ Revision: 627259
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.12-4mdv2011.0
+ Revision: 626541
- rebuilt against mysql-5.5.8 libs

* Mon Oct 18 2010 Juan Luis Baptiste <juancho@mandriva.org> 3.2.12-2mdv2011.0
+ Revision: 586574
- Fixed bug 58481, create /var/run/motion with +awt permissions.
  CCBUG: 58481

* Wed Aug 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.12-1mdv2011.0
+ Revision: 571091
- update to 3.2.12

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new libjpeg v8

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 3.2.11.1-2mdv2010.1
+ Revision: 473905
- requires pg

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 3.2.11.1-1mdv2010.1
+ Revision: 473904
- fix spec file

  + Juan Luis Baptiste <juancho@mandriva.org>
    - Updated to 3.2.11.1 and dropped all patches as they're no longer needed.

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.10.1-5mdv2009.1
+ Revision: 348688
- fix format errors
- fix ffmpeg API change
- disable as-needed linker flags

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

* Mon Sep 08 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.10.1-2mdv2009.0
+ Revision: 282492
- Rebuild for ffmpeg support
- Fix %%install

  + Michael Scherer <misc@mandriva.org>
    - Fix ffmpeg detection
    - update to 3.2.10.1, fix #39302

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 3.2.9-3mdv2009.0
+ Revision: 252781
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 3.2.9-1mdv2008.1
+ Revision: 177343
- new version, fix bug 37389
- add url

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 14 2007 Michael Scherer <misc@mandriva.org> 3.2.8-1mdv2008.0
+ Revision: 63433
- new version 3.2.8


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.7-1mdv2007.1
+ Revision: 148257
- New version 3.2.7
- Import motion

* Tue Feb 28 2006 Spencer Anderson <sdander@mandriva.org> 3.2.4-1mdk
- 3.2.4
- use mkrel

* Thu Apr 28 2005 Olivier Blin <oblin@mandriva.com> 3.1.19-1mdk
- 3.1.19
- new url
- remove obsolete tricks and Patch1
- ship motion-dist.conf as motion.conf
- disable rpath

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.7-3mdk
- rpmlint fixes

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.7-2mdk
- rebuilt against new mysql libs

